package com.app.brush.guitar.ink.eraser

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.os.CountDownTimer
import android.widget.ProgressBar
import com.ad.ironsourcelibrary.ISAdManager
import com.app.brush.guitar.ink.R
import com.app.brush.guitar.ink.iguana.UbiquitousSerene
import kotlin.math.roundToInt


/**
 * 不要修改启动页继承Activity这点
 */
class LauncherSilhouette : Activity() {

    private lateinit var progressBar: ProgressBar
    private var countTime = 15000L
    private lateinit var timer: CountDownTimer

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.tiny_activity_launch_screen)
        UbiquitousSerene.initFullScreen(this,true)
        progressBar = findViewById<ProgressBar>(R.id.nova_progress)
        init()

    }

    private fun init() {
        timer = ISAdManager.showWelcomeAd(this,countTime,{ millisUntilFinished->
            val percentage: Float = 100 - millisUntilFinished.toFloat() / countTime * 100
            val round = percentage.roundToInt()
            progressBar.progress = round
        }){
            progressBar.progress = 100
            toHome()
        }

        timer.start()
    }

    private fun toHome() {
        startActivity(Intent(this, CategoryPanorama::class.java))
        finish()
    }

    override fun onDestroy() {
        super.onDestroy()
        timer.cancel()
    }


}